ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-2.0/configure
(Generate patch)

Comparing trunk/OOPSE-2.0/configure (file contents):
Revision 1619 by chuckv, Wed Oct 20 21:16:01 2004 UTC vs.
Revision 2190 by gezelter, Wed Apr 13 22:30:22 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CXXCPP USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 789 | Line 789 | ac_cv_env_CPP_value=$CPP
789   ac_env_CPP_value=$CPP
790   ac_cv_env_CPP_set=${CPP+set}
791   ac_cv_env_CPP_value=$CPP
792 + ac_env_CXXCPP_set=${CXXCPP+set}
793 + ac_env_CXXCPP_value=$CXXCPP
794 + ac_cv_env_CXXCPP_set=${CXXCPP+set}
795 + ac_cv_env_CXXCPP_value=$CXXCPP
796  
797   #
798   # Report the --help message.
# Line 876 | Line 880 | Optional Packages:
880    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
881    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
882    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
883 <  --with-sprng=<prefix>   compile with SPRNG installed in <prefix>
880 <                          [default=/usr/local]
881 <  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
883 >  --with-cgal-makefile=FILE  CGAL makefile that should be used
884  
885   Some influential environment variables:
886    CC          C compiler command
# Line 892 | Line 894 | Some influential environment variables:
894    F90         Fortran 90 compiler command
895    F90FLAGS    Fortran 90 compiler flags
896    CPP         C preprocessor
897 +  CXXCPP      C++ preprocessor
898  
899   Use these variables to override the choices made by `configure' or to help
900   it to find libraries and programs with nonstandard names/locations.
# Line 1824 | Line 1827 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1827   # Figure out how the Fortran 90 compiler constructs module file names
1828   #
1829   # AC_F90_MODULE_NAMES
1830 +
1831  
1832  
1833  
# Line 3542 | Line 3546 | F90FLAGS="$F90FLAGS $ac_verb"
3546   ac_save_F90FLAGS=$F90FLAGS
3547   F90FLAGS="$F90FLAGS $ac_verb"
3548  
3549 < (eval echo $as_me:3545: \"$ac_link\") >&5
3549 > (eval echo $as_me:3549: \"$ac_link\") >&5
3550   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3551   echo "$ac_f90_v_output" >&5
3552   F90FLAGS=$ac_save_F90FLAGS
# Line 3619 | Line 3623 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3623   ac_save_F90FLAGS=$F90FLAGS
3624   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3625  
3626 < (eval echo $as_me:3622: \"$ac_link\") >&5
3626 > (eval echo $as_me:3626: \"$ac_link\") >&5
3627   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3628   echo "$ac_f90_v_output" >&5
3629   F90FLAGS=$ac_save_F90FLAGS
# Line 4930 | Line 4934 | fi
4934   sed 's/^/| /' conftest.$ac_ext >&5
4935  
4936   eval "$as_ac_Header=no"
4937 + fi
4938 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4939 + fi
4940 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4941 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4942 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
4943 +  cat >>confdefs.h <<_ACEOF
4944 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4945 + _ACEOF
4946 +
4947 + fi
4948 +
4949 + done
4950 +
4951 +
4952 +
4953 +
4954 +
4955 +
4956 +
4957 +
4958 +
4959 +
4960 +
4961 + for ac_header in unistd.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
4962 + do
4963 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4964 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4965 +  echo "$as_me:$LINENO: checking for $ac_header" >&5
4966 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4967 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4968 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4969 + fi
4970 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4971 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4972 + else
4973 +  # Is the header compilable?
4974 + echo "$as_me:$LINENO: checking $ac_header usability" >&5
4975 + echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4976 + cat >conftest.$ac_ext <<_ACEOF
4977 + /* confdefs.h.  */
4978 + _ACEOF
4979 + cat confdefs.h >>conftest.$ac_ext
4980 + cat >>conftest.$ac_ext <<_ACEOF
4981 + /* end confdefs.h.  */
4982 + $ac_includes_default
4983 + #include <$ac_header>
4984 + _ACEOF
4985 + rm -f conftest.$ac_objext
4986 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4987 +  (eval $ac_compile) 2>conftest.er1
4988 +  ac_status=$?
4989 +  grep -v '^ *+' conftest.er1 >conftest.err
4990 +  rm -f conftest.er1
4991 +  cat conftest.err >&5
4992 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4993 +  (exit $ac_status); } &&
4994 +         { ac_try='test -z "$ac_c_werror_flag"
4995 +                         || test ! -s conftest.err'
4996 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4997 +  (eval $ac_try) 2>&5
4998 +  ac_status=$?
4999 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5000 +  (exit $ac_status); }; } &&
5001 +         { ac_try='test -s conftest.$ac_objext'
5002 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5003 +  (eval $ac_try) 2>&5
5004 +  ac_status=$?
5005 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5006 +  (exit $ac_status); }; }; then
5007 +  ac_header_compiler=yes
5008 + else
5009 +  echo "$as_me: failed program was:" >&5
5010 + sed 's/^/| /' conftest.$ac_ext >&5
5011 +
5012 + ac_header_compiler=no
5013   fi
5014   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5015 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5016 + echo "${ECHO_T}$ac_header_compiler" >&6
5017 +
5018 + # Is the header present?
5019 + echo "$as_me:$LINENO: checking $ac_header presence" >&5
5020 + echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
5021 + cat >conftest.$ac_ext <<_ACEOF
5022 + /* confdefs.h.  */
5023 + _ACEOF
5024 + cat confdefs.h >>conftest.$ac_ext
5025 + cat >>conftest.$ac_ext <<_ACEOF
5026 + /* end confdefs.h.  */
5027 + #include <$ac_header>
5028 + _ACEOF
5029 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5030 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5031 +  ac_status=$?
5032 +  grep -v '^ *+' conftest.er1 >conftest.err
5033 +  rm -f conftest.er1
5034 +  cat conftest.err >&5
5035 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5036 +  (exit $ac_status); } >/dev/null; then
5037 +  if test -s conftest.err; then
5038 +    ac_cpp_err=$ac_c_preproc_warn_flag
5039 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5040 +  else
5041 +    ac_cpp_err=
5042 +  fi
5043 + else
5044 +  ac_cpp_err=yes
5045 + fi
5046 + if test -z "$ac_cpp_err"; then
5047 +  ac_header_preproc=yes
5048 + else
5049 +  echo "$as_me: failed program was:" >&5
5050 + sed 's/^/| /' conftest.$ac_ext >&5
5051 +
5052 +  ac_header_preproc=no
5053 + fi
5054 + rm -f conftest.err conftest.$ac_ext
5055 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5056 + echo "${ECHO_T}$ac_header_preproc" >&6
5057 +
5058 + # So?  What about this header?
5059 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5060 +  yes:no: )
5061 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5062 + echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5063 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5064 + echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5065 +    ac_header_preproc=yes
5066 +    ;;
5067 +  no:yes:* )
5068 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5069 + echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5070 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
5071 + echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
5072 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5073 + echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5074 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
5075 + echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
5076 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5077 + echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5078 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5079 + echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5080 +    (
5081 +      cat <<\_ASBOX
5082 + ## ------------------------------ ##
5083 + ## Report this to gezelter@nd.edu ##
5084 + ## ------------------------------ ##
5085 + _ASBOX
5086 +    ) |
5087 +      sed "s/^/$as_me: WARNING:     /" >&2
5088 +    ;;
5089 + esac
5090 + echo "$as_me:$LINENO: checking for $ac_header" >&5
5091 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5092 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
5093 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5094 + else
5095 +  eval "$as_ac_Header=\$ac_header_preproc"
5096   fi
5097   echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5098   echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5099 +
5100 + fi
5101   if test `eval echo '${'$as_ac_Header'}'` = yes; then
5102    cat >>confdefs.h <<_ACEOF
5103   #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
# Line 4943 | Line 5106 | done
5106   fi
5107  
5108   done
5109 +
5110 +
5111 +
5112 +
5113 +
5114 +
5115 + for ac_func in pstat_getstatic sysmp getsysinfo sysctl table
5116 + do
5117 + as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5118 + echo "$as_me:$LINENO: checking for $ac_func" >&5
5119 + echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
5120 + if eval "test \"\${$as_ac_var+set}\" = set"; then
5121 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5122 + else
5123 +  cat >conftest.$ac_ext <<_ACEOF
5124 + /* confdefs.h.  */
5125 + _ACEOF
5126 + cat confdefs.h >>conftest.$ac_ext
5127 + cat >>conftest.$ac_ext <<_ACEOF
5128 + /* end confdefs.h.  */
5129 + /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5130 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
5131 + #define $ac_func innocuous_$ac_func
5132 +
5133 + /* System header to define __stub macros and hopefully few prototypes,
5134 +    which can conflict with char $ac_func (); below.
5135 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5136 +    <limits.h> exists even on freestanding compilers.  */
5137 +
5138 + #ifdef __STDC__
5139 + # include <limits.h>
5140 + #else
5141 + # include <assert.h>
5142 + #endif
5143 +
5144 + #undef $ac_func
5145 +
5146 + /* Override any gcc2 internal prototype to avoid an error.  */
5147 + #ifdef __cplusplus
5148 + extern "C"
5149 + {
5150 + #endif
5151 + /* We use char because int might match the return type of a gcc2
5152 +   builtin and then its argument prototype would still apply.  */
5153 + char $ac_func ();
5154 + /* The GNU C library defines this for functions which it implements
5155 +    to always fail with ENOSYS.  Some functions are actually named
5156 +    something starting with __ and the normal name is an alias.  */
5157 + #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
5158 + choke me
5159 + #else
5160 + char (*f) () = $ac_func;
5161 + #endif
5162 + #ifdef __cplusplus
5163 + }
5164 + #endif
5165 +
5166 + int
5167 + main ()
5168 + {
5169 + return f != $ac_func;
5170 +  ;
5171 +  return 0;
5172 + }
5173 + _ACEOF
5174 + rm -f conftest.$ac_objext conftest$ac_exeext
5175 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5176 +  (eval $ac_link) 2>conftest.er1
5177 +  ac_status=$?
5178 +  grep -v '^ *+' conftest.er1 >conftest.err
5179 +  rm -f conftest.er1
5180 +  cat conftest.err >&5
5181 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5182 +  (exit $ac_status); } &&
5183 +         { ac_try='test -z "$ac_c_werror_flag"
5184 +                         || test ! -s conftest.err'
5185 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5186 +  (eval $ac_try) 2>&5
5187 +  ac_status=$?
5188 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5189 +  (exit $ac_status); }; } &&
5190 +         { ac_try='test -s conftest$ac_exeext'
5191 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5192 +  (eval $ac_try) 2>&5
5193 +  ac_status=$?
5194 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5195 +  (exit $ac_status); }; }; then
5196 +  eval "$as_ac_var=yes"
5197 + else
5198 +  echo "$as_me: failed program was:" >&5
5199 + sed 's/^/| /' conftest.$ac_ext >&5
5200 +
5201 + eval "$as_ac_var=no"
5202 + fi
5203 + rm -f conftest.err conftest.$ac_objext \
5204 +      conftest$ac_exeext conftest.$ac_ext
5205 + fi
5206 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
5207 + echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
5208 + if test `eval echo '${'$as_ac_var'}'` = yes; then
5209 +  cat >>confdefs.h <<_ACEOF
5210 + #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5211 + _ACEOF
5212 +
5213 + fi
5214 + done
5215 +
5216 + # special check for _system_configuration because AIX <4.3.2 do not
5217 + # contain the `physmem' member.
5218 + echo "$as_me:$LINENO: checking for external symbol _system_configuration" >&5
5219 + echo $ECHO_N "checking for external symbol _system_configuration... $ECHO_C" >&6
5220 + cat >conftest.$ac_ext <<_ACEOF
5221 + /* confdefs.h.  */
5222 + _ACEOF
5223 + cat confdefs.h >>conftest.$ac_ext
5224 + cat >>conftest.$ac_ext <<_ACEOF
5225 + /* end confdefs.h.  */
5226 + #include <sys/systemcfg.h>
5227 + int
5228 + main ()
5229 + {
5230 + double x = _system_configuration.physmem;
5231 +  ;
5232 +  return 0;
5233 + }
5234 + _ACEOF
5235 + rm -f conftest.$ac_objext
5236 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5237 +  (eval $ac_compile) 2>conftest.er1
5238 +  ac_status=$?
5239 +  grep -v '^ *+' conftest.er1 >conftest.err
5240 +  rm -f conftest.er1
5241 +  cat conftest.err >&5
5242 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5243 +  (exit $ac_status); } &&
5244 +         { ac_try='test -z "$ac_c_werror_flag"
5245 +                         || test ! -s conftest.err'
5246 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5247 +  (eval $ac_try) 2>&5
5248 +  ac_status=$?
5249 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5250 +  (exit $ac_status); }; } &&
5251 +         { ac_try='test -s conftest.$ac_objext'
5252 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5253 +  (eval $ac_try) 2>&5
5254 +  ac_status=$?
5255 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5256 +  (exit $ac_status); }; }; then
5257 +  echo "$as_me:$LINENO: result: yes" >&5
5258 + echo "${ECHO_T}yes" >&6
5259  
5260 + cat >>confdefs.h <<\_ACEOF
5261 + #define HAVE__SYSTEM_CONFIGURATION 1
5262 + _ACEOF
5263 +
5264 + else
5265 +  echo "$as_me: failed program was:" >&5
5266 + sed 's/^/| /' conftest.$ac_ext >&5
5267 +
5268 + echo "$as_me:$LINENO: result: no" >&5
5269 + echo "${ECHO_T}no" >&6
5270 + fi
5271 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5272  
5273    # clean out junk possibly left behind by a previous configuration
5274 <  rm -f src/utils/getopt.h
5274 >  rm -f src/getopt.h
5275    # Check for getopt_long support
5276  
5277   for ac_header in getopt.h
# Line 5286 | Line 5611 | esac
5611    *) LIBOBJS="$LIBOBJS getopt1.$ac_objext" ;;
5612   esac
5613  
5614 <                ac_config_links="$ac_config_links src/utils/getopt.h:src/utils/gnugetopt.h"
5614 >                ac_config_links="$ac_config_links src/getopt.h:src/utils/gnugetopt.h"
5615  
5616   fi
5617  
# Line 5831 | Line 6156 | if test "$ac_test_CXXFLAGS" != "set"; then
6156                  echo "*******************************************************"
6157          fi;;
6158     *darwin*)
6159 <        if test "$CXX" = xlc++; then
6159 >        if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
6160                  CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6161          fi;;
6162    esac
# Line 6932 | Line 7257 | fi
7257   fi
7258   rm -f confcache
7259    exit 1
7260 + fi
7261 +
7262 + # Extract the first word of "ps", so it can be a program name with args.
7263 + set dummy ps; ac_word=$2
7264 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7265 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7266 + if test "${ac_cv_path_PS+set}" = set; then
7267 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7268 + else
7269 +  case $PS in
7270 +  [\\/]* | ?:[\\/]*)
7271 +  ac_cv_path_PS="$PS" # Let the user override the test with a path.
7272 +  ;;
7273 +  *)
7274 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7275 + for as_dir in $PATH
7276 + do
7277 +  IFS=$as_save_IFS
7278 +  test -z "$as_dir" && as_dir=.
7279 +  for ac_exec_ext in '' $ac_executable_extensions; do
7280 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7281 +    ac_cv_path_PS="$as_dir/$ac_word$ac_exec_ext"
7282 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7283 +    break 2
7284 +  fi
7285 + done
7286 + done
7287 +
7288 +  ;;
7289 + esac
7290 + fi
7291 + PS=$ac_cv_path_PS
7292 +
7293 + if test -n "$PS"; then
7294 +  echo "$as_me:$LINENO: result: $PS" >&5
7295 + echo "${ECHO_T}$PS" >&6
7296 + else
7297 +  echo "$as_me:$LINENO: result: no" >&5
7298 + echo "${ECHO_T}no" >&6
7299   fi
7300  
7301 + echo "$as_me:$LINENO: checking for POSIX or BSD ps syntax" >&5
7302 + echo $ECHO_N "checking for POSIX or BSD ps syntax... $ECHO_C" >&6
7303 + if test "${ac_cv_prog_ps_syntax+set}" = set; then
7304 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7305 + else
7306  
7307 +        if $PS ax -o rss > /dev/null 2>&1; then
7308 +                ac_cv_prog_ps_ax=yes
7309 +        else
7310 +                ac_cv_prog_ps_ax=no
7311 +        fi
7312 +        if $PS -ef -o rss > /dev/null 2>&1; then
7313 +                ac_cv_prog_ps_ef=yes
7314 +        else
7315 +                ac_cv_prog_ps_ef=no
7316 +        fi
7317 +        if test "$ac_cv_prog_ps_ax" = yes; then
7318 +                ac_cv_prog_ps_syntax=BSD
7319 +        else
7320 +                if test "$ac_cv_prog_ps_ef" = yes; then
7321 +                        ac_cv_prog_ps_syntax=POSIX
7322 +                else
7323 +                        { { echo "$as_me:$LINENO: error: Could not determine ps syntax" >&5
7324 + echo "$as_me: error: Could not determine ps syntax" >&2;}
7325 +   { (exit 1); exit 1; }; }
7326 +                fi
7327 +        fi
7328  
7329 + fi
7330 + echo "$as_me:$LINENO: result: $ac_cv_prog_ps_syntax" >&5
7331 + echo "${ECHO_T}$ac_cv_prog_ps_syntax" >&6
7332 +
7333 +
7334 + cat >>confdefs.h <<_ACEOF
7335 + #define PSCOMMAND $PS
7336 + _ACEOF
7337 +
7338 +
7339 + if test "$ac_cv_prog_ps_syntax" = BSD; then
7340 +  cat >>confdefs.h <<\_ACEOF
7341 + #define PSTYPE_IS_BSD 1
7342 + _ACEOF
7343 +
7344 + else
7345 +   if test "$ac_cv_prog_ps_syntax" = POSIX; then
7346 +       cat >>confdefs.h <<\_ACEOF
7347 + #define PSTYPE_IS_POSIX 1
7348 + _ACEOF
7349 +
7350 +   else
7351 +       { { echo "$as_me:$LINENO: error: Unknown ps syntax type!" >&5
7352 + echo "$as_me: error: Unknown ps syntax type!" >&2;}
7353 +   { (exit 1); exit 1; }; }
7354 +   fi
7355 + fi
7356 +
7357 +
7358   # Check whether --with-mpi or --without-mpi was given.
7359   if test "${with_mpi+set}" = set; then
7360    withval="$with_mpi"
# Line 7406 | Line 7825 | fi
7825  
7826  
7827  
7409 # Check whether --with-sprng or --without-sprng was given.
7410 if test "${with_sprng+set}" = set; then
7411  withval="$with_sprng"
7412  with_sprng=$withval
7413 else
7414  with_sprng="/usr/local"
7415 fi;
7828  
7829 < case "x$with_sprng" in
7830 <        xyes | "x")  USE_SPRNG=yes;;
7419 <        xno) USE_SPRNG=no ;;
7420 <        *) SPRNG="$with_sprng"; USE_SPRNG=yes ;;
7421 < esac
7422 < if test "$USE_SPRNG" = "yes" -a -z "$with_sprng"; then
7423 <        SPRNG="/usr/local"
7424 < fi
7425 < if test "$USE_SPRNG" = "yes"; then
7829 > USE_CGAL=no
7830 > cgal_makefile=auto
7831  
7832 + # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
7833 + if test "${with_cgal_makefile+set}" = set; then
7834 +  withval="$with_cgal_makefile"
7835 +  cgal_makefile="$withval"
7836 + fi;
7837  
7838 < # Set variables...
7429 < SPRNG_LIB_DIR="$SPRNG/lib"
7430 < SPRNG_INC_DIR="$SPRNG/include"
7838 > if test "x$cgal_makefile" != xno; then
7839  
7840 +  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
7841 +    cgal_makefile="$CGAL_MAKEFILE"
7842 +  fi
7843  
7844 +  echo "cgal_makefile      $cgal_makefile"
7845  
7846 < echo "$as_me:$LINENO: checking for sprng.h" >&5
7435 < echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
7436 < have_sprng_h=0
7437 < echo '#include <sprng.h>' > conftest.cc
7438 < if test -z "`${CXX} -I${SPRNG_INC_DIR} -c conftest.cc 2>&1`"; then
7439 <        echo "$as_me:$LINENO: result: yes" >&5
7440 < echo "${ECHO_T}yes" >&6
7441 <        have_sprng_h=1
7442 < else
7443 <        echo "$as_me:$LINENO: result: no! Check SPRNG include path!" >&5
7444 < echo "${ECHO_T}no! Check SPRNG include path!" >&6
7445 <        USE_SPRNG="no"
7446 < fi
7447 < rm -f conftest*
7448 < if test "$have_sprng_h" = 1; then
7846 >  if test -f "$cgal_makefile"; then
7847  
7848 < cat >>confdefs.h <<\_ACEOF
7849 < #define HAVE_SPRNG_H 1
7850 < _ACEOF
7848 >    cat >config.tmp.Makefile <<EOF
7849 > include $cgal_makefile
7850 > default:
7851 >        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
7852 >        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
7853 >        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
7854 >        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7855 >        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7856 >        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
7857 >        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
7858 >        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7859 >        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7860 >        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
7861 >        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7862 >        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7863 > EOF
7864  
7865 < fi
7865 >    make -s -f config.tmp.Makefile
7866 >    . config.tmp.cgalvariables
7867  
7868 < ac_ext=c
7457 < ac_cpp='$CPP $CPPFLAGS'
7458 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7459 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7460 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7868 >    rm -f config.tmp.Makefile config.tmp.cgalvariables
7869  
7870 < ac_save_LDFLAGS=$LDFLAGS
7871 < LDFLAGS="${LDFLAGS} -L${SPRNG_LIB_DIR} "
7870 >    if test "x$CGAL_INCLDIR" = "x"; then
7871 >      CGAL_INCLDIR=""
7872 >    fi
7873  
7874 < echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
7875 < echo $ECHO_N "checking for init_rng in -lsprng... $ECHO_C" >&6
7876 < if test "${ac_cv_lib_sprng_init_rng+set}" = set; then
7874 >    if test "x$CGAL_LIBDIR" = "x"; then
7875 >      CGAL_LIBDIR=""
7876 >    fi
7877 >
7878 >    if test "x$CGAL_RLIBDIR" = "x"; then
7879 >      CGAL_RLIBDIR=""
7880 >    fi
7881 >
7882 >    if test "x$LEDA_INCLDIR" = "x"; then
7883 >      LEDA_INCLDIR=""
7884 >    fi
7885 >
7886 >    if test "x$LEDA_LIBDIR" = "x"; then
7887 >      LEDA_LIBDIR=""
7888 >    fi
7889 >
7890 >    if test "x$LEDA_RLIBDIR" = "x"; then
7891 >      LEDA_RLIBDIR=""
7892 >    fi
7893 >
7894 >    if test "x$GMP_INCLDIR" = "x"; then
7895 >      GMP_INCLDIR=""
7896 >    fi
7897 >
7898 >    if test "x$GMP_LIBDIR" = "x"; then
7899 >      GMP_LIBDIR=""
7900 >    fi
7901 >
7902 >    if test "x$GMP_RLIBDIR" = "x"; then
7903 >      GMP_RLIBDIR=""
7904 >    fi
7905 >
7906 >    echo "CGAL_OS_COMPILER   $CGAL_OS_COMPILER"
7907 >    echo "CGAL_INCLDIR       $CGAL_INCLDIR"
7908 >    echo "CGAL_INCLCONFDIR   $CGAL_INCLCONFDIR"
7909 >    echo "CGAL_LIBDIR        $CGAL_LIBDIR"
7910 >    echo "CGAL_CXXFLAGS      $CGAL_CXXFLAGS"
7911 >    echo "LEDA_INCLDIR       $LEDA_INCLDIR"
7912 >    echo "LEDA_LIBDIR        $LEDA_LIBDIR"
7913 >    echo "GMP_INCLDIR        $GMP_INCLDIR"
7914 >    echo "GMP_LIBDIR         $GMP_LIBDIR"
7915 >
7916 >    ac_ext=cc
7917 > ac_cpp='$CXXCPP $CPPFLAGS'
7918 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7919 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7920 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
7921 >
7922 >    save_CXXFLAGS="$CXXFLAGS"
7923 >    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
7924 >
7925 > ac_ext=cc
7926 > ac_cpp='$CXXCPP $CPPFLAGS'
7927 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7928 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7929 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
7930 > echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
7931 > echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
7932 > if test -z "$CXXCPP"; then
7933 >  if test "${ac_cv_prog_CXXCPP+set}" = set; then
7934    echo $ECHO_N "(cached) $ECHO_C" >&6
7935   else
7936 <  ac_check_lib_save_LIBS=$LIBS
7937 < LIBS="-lsprng  $LIBS"
7938 < cat >conftest.$ac_ext <<_ACEOF
7936 >      # Double quotes because CXXCPP needs to be expanded
7937 >    for CXXCPP in "$CXX -E" "/lib/cpp"
7938 >    do
7939 >      ac_preproc_ok=false
7940 > for ac_cxx_preproc_warn_flag in '' yes
7941 > do
7942 >  # Use a header file that comes with gcc, so configuring glibc
7943 >  # with a fresh cross-compiler works.
7944 >  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
7945 >  # <limits.h> exists even on freestanding compilers.
7946 >  # On the NeXT, cc -E runs the code through the compiler's parser,
7947 >  # not just through cpp. "Syntax error" is here to catch this case.
7948 >  cat >conftest.$ac_ext <<_ACEOF
7949   /* confdefs.h.  */
7950   _ACEOF
7951   cat confdefs.h >>conftest.$ac_ext
7952   cat >>conftest.$ac_ext <<_ACEOF
7953   /* end confdefs.h.  */
7954 <
7955 < /* Override any gcc2 internal prototype to avoid an error.  */
7956 < #ifdef __cplusplus
7957 < extern "C"
7954 > #ifdef __STDC__
7955 > # include <limits.h>
7956 > #else
7957 > # include <assert.h>
7958   #endif
7959 < /* We use char because int might match the return type of a gcc2
7484 <   builtin and then its argument prototype would still apply.  */
7485 < char init_rng ();
7486 < int
7487 < main ()
7488 < {
7489 < init_rng ();
7490 <  ;
7491 <  return 0;
7492 < }
7959 >                     Syntax error
7960   _ACEOF
7961 < rm -f conftest.$ac_objext conftest$ac_exeext
7962 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7496 <  (eval $ac_link) 2>conftest.er1
7961 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
7962 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
7963    ac_status=$?
7964    grep -v '^ *+' conftest.er1 >conftest.err
7965    rm -f conftest.er1
7966    cat conftest.err >&5
7967    echo "$as_me:$LINENO: \$? = $ac_status" >&5
7968 <  (exit $ac_status); } &&
7969 <         { ac_try='test -z "$ac_c_werror_flag"
7970 <                         || test ! -s conftest.err'
7971 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7972 <  (eval $ac_try) 2>&5
7973 <  ac_status=$?
7974 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7509 <  (exit $ac_status); }; } &&
7510 <         { ac_try='test -s conftest$ac_exeext'
7511 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7512 <  (eval $ac_try) 2>&5
7513 <  ac_status=$?
7514 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7515 <  (exit $ac_status); }; }; then
7516 <  ac_cv_lib_sprng_init_rng=yes
7968 >  (exit $ac_status); } >/dev/null; then
7969 >  if test -s conftest.err; then
7970 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
7971 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
7972 >  else
7973 >    ac_cpp_err=
7974 >  fi
7975   else
7976 +  ac_cpp_err=yes
7977 + fi
7978 + if test -z "$ac_cpp_err"; then
7979 +  :
7980 + else
7981    echo "$as_me: failed program was:" >&5
7982   sed 's/^/| /' conftest.$ac_ext >&5
7983  
7984 < ac_cv_lib_sprng_init_rng=no
7984 >  # Broken: fails on valid input.
7985 > continue
7986   fi
7987 < rm -f conftest.err conftest.$ac_objext \
7988 <      conftest$ac_exeext conftest.$ac_ext
7989 < LIBS=$ac_check_lib_save_LIBS
7987 > rm -f conftest.err conftest.$ac_ext
7988 >
7989 >  # OK, works on sane cases.  Now check whether non-existent headers
7990 >  # can be detected and how.
7991 >  cat >conftest.$ac_ext <<_ACEOF
7992 > /* confdefs.h.  */
7993 > _ACEOF
7994 > cat confdefs.h >>conftest.$ac_ext
7995 > cat >>conftest.$ac_ext <<_ACEOF
7996 > /* end confdefs.h.  */
7997 > #include <ac_nonexistent.h>
7998 > _ACEOF
7999 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8000 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8001 >  ac_status=$?
8002 >  grep -v '^ *+' conftest.er1 >conftest.err
8003 >  rm -f conftest.er1
8004 >  cat conftest.err >&5
8005 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8006 >  (exit $ac_status); } >/dev/null; then
8007 >  if test -s conftest.err; then
8008 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
8009 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8010 >  else
8011 >    ac_cpp_err=
8012 >  fi
8013 > else
8014 >  ac_cpp_err=yes
8015   fi
8016 < echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
8017 < echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
8018 < if test $ac_cv_lib_sprng_init_rng = yes; then
7530 <  SPRNG_LIB="-lsprng"
8016 > if test -z "$ac_cpp_err"; then
8017 >  # Broken: success on invalid input.
8018 > continue
8019   else
8020 +  echo "$as_me: failed program was:" >&5
8021 + sed 's/^/| /' conftest.$ac_ext >&5
8022  
8023 <             { { echo "$as_me:$LINENO: error: Didn't find libsprng; check path for SPRNG package first..." >&5
8024 < echo "$as_me: error: Didn't find libsprng; check path for SPRNG package first..." >&2;}
8025 <   { (exit 1); exit 1; }; }
8026 <             USE_SPRNG="no"
8023 >  # Passes both tests.
8024 > ac_preproc_ok=:
8025 > break
8026 > fi
8027 > rm -f conftest.err conftest.$ac_ext
8028  
8029 + done
8030 + # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8031 + rm -f conftest.err conftest.$ac_ext
8032 + if $ac_preproc_ok; then
8033 +  break
8034   fi
8035  
8036 +    done
8037 +    ac_cv_prog_CXXCPP=$CXXCPP
8038  
7541 if test "$USE_SPRNG" = "no"; then
7542  { { echo "$as_me:$LINENO: error: No working SPRNG library found" >&5
7543 echo "$as_me: error: No working SPRNG library found" >&2;}
7544   { (exit 1); exit 1; }; }
8039   fi
8040 +  CXXCPP=$ac_cv_prog_CXXCPP
8041 + else
8042 +  ac_cv_prog_CXXCPP=$CXXCPP
8043 + fi
8044 + echo "$as_me:$LINENO: result: $CXXCPP" >&5
8045 + echo "${ECHO_T}$CXXCPP" >&6
8046 + ac_preproc_ok=false
8047 + for ac_cxx_preproc_warn_flag in '' yes
8048 + do
8049 +  # Use a header file that comes with gcc, so configuring glibc
8050 +  # with a fresh cross-compiler works.
8051 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8052 +  # <limits.h> exists even on freestanding compilers.
8053 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8054 +  # not just through cpp. "Syntax error" is here to catch this case.
8055 +  cat >conftest.$ac_ext <<_ACEOF
8056 + /* confdefs.h.  */
8057 + _ACEOF
8058 + cat confdefs.h >>conftest.$ac_ext
8059 + cat >>conftest.$ac_ext <<_ACEOF
8060 + /* end confdefs.h.  */
8061 + #ifdef __STDC__
8062 + # include <limits.h>
8063 + #else
8064 + # include <assert.h>
8065 + #endif
8066 +                     Syntax error
8067 + _ACEOF
8068 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8069 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8070 +  ac_status=$?
8071 +  grep -v '^ *+' conftest.er1 >conftest.err
8072 +  rm -f conftest.er1
8073 +  cat conftest.err >&5
8074 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8075 +  (exit $ac_status); } >/dev/null; then
8076 +  if test -s conftest.err; then
8077 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8078 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8079 +  else
8080 +    ac_cpp_err=
8081 +  fi
8082 + else
8083 +  ac_cpp_err=yes
8084 + fi
8085 + if test -z "$ac_cpp_err"; then
8086 +  :
8087 + else
8088 +  echo "$as_me: failed program was:" >&5
8089 + sed 's/^/| /' conftest.$ac_ext >&5
8090  
8091 +  # Broken: fails on valid input.
8092 + continue
8093 + fi
8094 + rm -f conftest.err conftest.$ac_ext
8095  
8096 +  # OK, works on sane cases.  Now check whether non-existent headers
8097 +  # can be detected and how.
8098 +  cat >conftest.$ac_ext <<_ACEOF
8099 + /* confdefs.h.  */
8100 + _ACEOF
8101 + cat confdefs.h >>conftest.$ac_ext
8102 + cat >>conftest.$ac_ext <<_ACEOF
8103 + /* end confdefs.h.  */
8104 + #include <ac_nonexistent.h>
8105 + _ACEOF
8106 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8107 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8108 +  ac_status=$?
8109 +  grep -v '^ *+' conftest.er1 >conftest.err
8110 +  rm -f conftest.er1
8111 +  cat conftest.err >&5
8112 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8113 +  (exit $ac_status); } >/dev/null; then
8114 +  if test -s conftest.err; then
8115 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8116 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8117 +  else
8118 +    ac_cpp_err=
8119 +  fi
8120 + else
8121 +  ac_cpp_err=yes
8122   fi
8123 + if test -z "$ac_cpp_err"; then
8124 +  # Broken: success on invalid input.
8125 + continue
8126 + else
8127 +  echo "$as_me: failed program was:" >&5
8128 + sed 's/^/| /' conftest.$ac_ext >&5
8129  
8130 +  # Passes both tests.
8131 + ac_preproc_ok=:
8132 + break
8133 + fi
8134 + rm -f conftest.err conftest.$ac_ext
8135  
8136 <
8137 < echo "$as_me:$LINENO: checking if MKL is wanted" >&5
8138 < echo $ECHO_N "checking if MKL is wanted... $ECHO_C" >&6
8139 <
8140 < # Check whether --with-mkl or --without-mkl was given.
8141 < if test "${with_mkl+set}" = set; then
8142 <  withval="$with_mkl"
8143 <     echo "$as_me:$LINENO: result: yes" >&5
8144 < echo "${ECHO_T}yes" >&6
8145 <    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
7561 <        mkldir="$dir"
7562 <        if test -f "$dir/include/mkl.h"; then
7563 <            found_mkl="yes";
7564 <            break;
7565 <        fi
7566 <    done
7567 <    if test x_$found_mkl != x_yes; then
7568 <        { { echo "$as_me:$LINENO: error: Cannot find MKL includes" >&5
7569 < echo "$as_me: error: Cannot find MKL includes" >&2;}
8136 > done
8137 > # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8138 > rm -f conftest.err conftest.$ac_ext
8139 > if $ac_preproc_ok; then
8140 >  :
8141 > else
8142 >  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8143 > See \`config.log' for more details." >&5
8144 > echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8145 > See \`config.log' for more details." >&2;}
8146     { (exit 1); exit 1; }; }
8147 <    else
7572 <        printf "MKL includes found in $mkldir/include\n";
7573 <    fi
8147 > fi
8148  
8149 + ac_ext=cc
8150 + ac_cpp='$CXXCPP $CPPFLAGS'
8151 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8152 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8153 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8154  
8155  
8156 <  ac_ext=c
8157 < ac_cpp='$CPP $CPPFLAGS'
8158 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8159 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7581 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7582 <
7583 <  ac_save_CPPFLAGS=$CPPFLAGS
7584 <  CPPFLAGS="${CPPFLAGS} -I${mkldir}/include"
7585 <  ac_save_LDFLAGS=$LDFLAGS
7586 <  LDFLAGS="${LDFLAGS} -L${mkldir}/lib/32 -lmkl -lvml -lguide"
7587 <  if test "${ac_cv_header_mkl_h+set}" = set; then
7588 <  echo "$as_me:$LINENO: checking for mkl.h" >&5
7589 < echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7590 < if test "${ac_cv_header_mkl_h+set}" = set; then
8156 > if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8157 >  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8158 > echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8159 > if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8160    echo $ECHO_N "(cached) $ECHO_C" >&6
8161   fi
8162 < echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
8163 < echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
8162 > echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8163 > echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8164   else
8165    # Is the header compilable?
8166 < echo "$as_me:$LINENO: checking mkl.h usability" >&5
8167 < echo $ECHO_N "checking mkl.h usability... $ECHO_C" >&6
8166 > echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
8167 > echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
8168   cat >conftest.$ac_ext <<_ACEOF
8169   /* confdefs.h.  */
8170   _ACEOF
# Line 7603 | Line 8172 | $ac_includes_default
8172   cat >>conftest.$ac_ext <<_ACEOF
8173   /* end confdefs.h.  */
8174   $ac_includes_default
8175 < #include <mkl.h>
8175 > #include <CGAL/Cartesian.h>
8176   _ACEOF
8177   rm -f conftest.$ac_objext
8178   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 7614 | Line 8183 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8183    cat conftest.err >&5
8184    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8185    (exit $ac_status); } &&
8186 <         { ac_try='test -z "$ac_c_werror_flag"
8186 >         { ac_try='test -z "$ac_cxx_werror_flag"
8187                           || test ! -s conftest.err'
8188    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8189    (eval $ac_try) 2>&5
# Line 7639 | Line 8208 | echo "$as_me:$LINENO: checking mkl.h presence" >&5
8208   echo "${ECHO_T}$ac_header_compiler" >&6
8209  
8210   # Is the header present?
8211 < echo "$as_me:$LINENO: checking mkl.h presence" >&5
8212 < echo $ECHO_N "checking mkl.h presence... $ECHO_C" >&6
8211 > echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
8212 > echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
8213   cat >conftest.$ac_ext <<_ACEOF
8214   /* confdefs.h.  */
8215   _ACEOF
8216   cat confdefs.h >>conftest.$ac_ext
8217   cat >>conftest.$ac_ext <<_ACEOF
8218   /* end confdefs.h.  */
8219 < #include <mkl.h>
8219 > #include <CGAL/Cartesian.h>
8220   _ACEOF
8221   if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8222    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
# Line 7658 | Line 8227 | if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$a
8227    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8228    (exit $ac_status); } >/dev/null; then
8229    if test -s conftest.err; then
8230 <    ac_cpp_err=$ac_c_preproc_warn_flag
8231 <    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
8230 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
8231 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8232    else
8233      ac_cpp_err=
8234    fi
# Line 7679 | Line 8248 | case $ac_header_compiler:$ac_header_preproc:$ac_c_prep
8248   echo "${ECHO_T}$ac_header_preproc" >&6
8249  
8250   # So?  What about this header?
8251 < case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
8251 > case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8252    yes:no: )
8253 <    { echo "$as_me:$LINENO: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&5
8254 < echo "$as_me: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8255 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the compiler's result" >&5
8256 < echo "$as_me: WARNING: mkl.h: proceeding with the compiler's result" >&2;}
8253 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
8254 > echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8255 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
8256 > echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
8257      ac_header_preproc=yes
8258      ;;
8259    no:yes:* )
8260 <    { echo "$as_me:$LINENO: WARNING: mkl.h: present but cannot be compiled" >&5
8261 < echo "$as_me: WARNING: mkl.h: present but cannot be compiled" >&2;}
8262 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     check for missing prerequisite headers?" >&5
8263 < echo "$as_me: WARNING: mkl.h:     check for missing prerequisite headers?" >&2;}
8264 <    { echo "$as_me:$LINENO: WARNING: mkl.h: see the Autoconf documentation" >&5
8265 < echo "$as_me: WARNING: mkl.h: see the Autoconf documentation" >&2;}
8266 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&5
8267 < echo "$as_me: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8268 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the preprocessor's result" >&5
8269 < echo "$as_me: WARNING: mkl.h: proceeding with the preprocessor's result" >&2;}
8270 <    { echo "$as_me:$LINENO: WARNING: mkl.h: in the future, the compiler will take precedence" >&5
8271 < echo "$as_me: WARNING: mkl.h: in the future, the compiler will take precedence" >&2;}
8260 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
8261 > echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
8262 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
8263 > echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
8264 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
8265 > echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
8266 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
8267 > echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8268 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
8269 > echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
8270 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
8271 > echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
8272      (
8273        cat <<\_ASBOX
8274   ## ------------------------------ ##
# Line 7710 | Line 8279 | echo "$as_me:$LINENO: checking for mkl.h" >&5
8279        sed "s/^/$as_me: WARNING:     /" >&2
8280      ;;
8281   esac
8282 < echo "$as_me:$LINENO: checking for mkl.h" >&5
8283 < echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
8284 < if test "${ac_cv_header_mkl_h+set}" = set; then
8282 > echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8283 > echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8284 > if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8285    echo $ECHO_N "(cached) $ECHO_C" >&6
8286   else
8287 <  ac_cv_header_mkl_h=$ac_header_preproc
8287 >  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
8288   fi
8289 < echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
8290 < echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
8289 > echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8290 > echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8291  
8292   fi
8293 < if test $ac_cv_header_mkl_h = yes; then
8294 <
7726 <    echo "$as_me:$LINENO: checking for vslNewStream in -lmkl" >&5
7727 < echo $ECHO_N "checking for vslNewStream in -lmkl... $ECHO_C" >&6
7728 < if test "${ac_cv_lib_mkl_vslNewStream+set}" = set; then
7729 <  echo $ECHO_N "(cached) $ECHO_C" >&6
8293 > if test $ac_cv_header_CGAL_Cartesian_h = yes; then
8294 >  cgal=yes
8295   else
8296 <  ac_check_lib_save_LIBS=$LIBS
8297 < LIBS="-lmkl  $LIBS"
8296 >  cgal=no
8297 > fi
8298 >
8299 >
8300 >    CXXFLAGS="$save_CXXFLAGS"
8301 >
8302 >    if test "x$cgal" = xyes; then
8303 >      echo "$as_me:$LINENO: checking for CGAL version" >&5
8304 > echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
8305 >      LOCATION=${CGAL_INCLDIR}
8306 >      LOCATION=${LOCATION:-/usr/include}
8307 >      if test -f $LOCATION/CGAL/version.h; then
8308 >        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
8309 >      else
8310 >        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
8311 >      fi
8312 >      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
8313 >        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
8314 > echo "${ECHO_T}($CGAL_VERSION) yes" >&6
8315 >      else
8316 >        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
8317 > echo "${ECHO_T}($CGAL_VERSION) no" >&6
8318 >        cgal=no
8319 >      fi
8320 >    fi
8321 >
8322 >    if test "x$cgal" = xyes; then
8323 >      CGAL_LIBS="-lCGAL"
8324 >      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
8325 > echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
8326 >      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
8327 >        CGAL_USES_LEDA=yes
8328 >        echo "$as_me:$LINENO: result: yes" >&5
8329 > echo "${ECHO_T}yes" >&6
8330 >        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
8331 >      else
8332 >        echo "$as_me:$LINENO: result: no" >&5
8333 > echo "${ECHO_T}no" >&6
8334 >        CGAL_USES_LEDA=no
8335 >      fi
8336 >
8337 >      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
8338 > echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
8339 >      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
8340 >        CGAL_USES_GMP=yes
8341 >        echo "$as_me:$LINENO: result: yes" >&5
8342 > echo "${ECHO_T}yes" >&6
8343 >        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
8344 >      else
8345 >        echo "$as_me:$LINENO: result: no" >&5
8346 > echo "${ECHO_T}no" >&6
8347 >        CGAL_USES_GMP=no
8348 >      fi
8349 >
8350 >      CGAL_LIBS="$CGAL_LIBS -lm"
8351 >
8352 >      CGAL_CXXFLAGS="-ftemplate-depth-50"
8353 >
8354 >      echo "CGAL_USES_LEDA     $CGAL_USES_LEDA"
8355 >      echo "CGAL_USES_GMP      $CGAL_USES_GMP"
8356 >      echo "CGAL_INCLDIR       $CGAL_INCLDIR"
8357 >      echo "CGAL_LIBDIR        $CGAL_LIBDIR"
8358 >      echo "CGAL_DEFINES       $CGAL_DEFINES"
8359 >      echo "CGAL_CXXFLAGS      $CGAL_CXXFLAGS"
8360 >      echo "CGAL_LIBS          $CGAL_LIBS"
8361 >    fi
8362 >
8363 >    if test "x$cgal" = xyes; then
8364 >      save_LIBS="$LIBS"
8365 >      LIBS="$LIBS -L$CGAL_LIBDIR"
8366 >      if test "x$CGAL_USES_LEDA" = xyes; then
8367 >        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
8368 >      fi
8369 >      # if test "x$CGAL_USES_GMP" = xyes; then
8370 >      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
8371 >      # fi
8372 >      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
8373 > echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
8374 > save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
8375 > CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8376 > save_LIBS_CHECK_CXX_LIB="$LIBS"
8377 > LIBS="-lCGAL  $LIBS"
8378   cat >conftest.$ac_ext <<_ACEOF
8379   /* confdefs.h.  */
8380   _ACEOF
8381   cat confdefs.h >>conftest.$ac_ext
8382   cat >>conftest.$ac_ext <<_ACEOF
8383   /* end confdefs.h.  */
8384 <
7740 < /* Override any gcc2 internal prototype to avoid an error.  */
7741 < #ifdef __cplusplus
7742 < extern "C"
7743 < #endif
7744 < /* We use char because int might match the return type of a gcc2
7745 <   builtin and then its argument prototype would still apply.  */
7746 < char vslNewStream ();
8384 > #include <CGAL/Cartesian.h>
8385   int
8386   main ()
8387   {
8388 < vslNewStream ();
8388 > ::CGAL::Cartesian<int>::Point_2 P
8389    ;
8390    return 0;
8391   }
# Line 7761 | Line 8399 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8399    cat conftest.err >&5
8400    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8401    (exit $ac_status); } &&
8402 <         { ac_try='test -z "$ac_c_werror_flag"
8402 >         { ac_try='test -z "$ac_cxx_werror_flag"
8403                           || test ! -s conftest.err'
8404    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8405    (eval $ac_try) 2>&5
# Line 7774 | Line 8412 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8412    ac_status=$?
8413    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8414    (exit $ac_status); }; }; then
8415 <  ac_cv_lib_mkl_vslNewStream=yes
8415 >  echo "$as_me:$LINENO: result: yes" >&5
8416 > echo "${ECHO_T}yes" >&6
8417 > cgal=yes
8418   else
8419    echo "$as_me: failed program was:" >&5
8420   sed 's/^/| /' conftest.$ac_ext >&5
8421  
8422 < ac_cv_lib_mkl_vslNewStream=no
8422 > echo "$as_me:$LINENO: result: no" >&5
8423 > echo "${ECHO_T}no" >&6
8424 > cgal=no
8425   fi
8426   rm -f conftest.err conftest.$ac_objext \
8427        conftest$ac_exeext conftest.$ac_ext
8428 < LIBS=$ac_check_lib_save_LIBS
8429 < fi
8430 < echo "$as_me:$LINENO: result: $ac_cv_lib_mkl_vslNewStream" >&5
8431 < echo "${ECHO_T}$ac_cv_lib_mkl_vslNewStream" >&6
7790 < if test $ac_cv_lib_mkl_vslNewStream = yes; then
7791 <  MKL_LIBDIR="${mkldir}/lib/32",
7792 <                     MKL_LIB="-lmkl -lvml -lguide",
7793 <                     HAVE_MKL="yes"
7794 < fi
8428 > CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
8429 > LIBS="$save_LIBS_CHECK_CXX_LIB"
8430 >      LIBS="$save_LIBS"
8431 >    fi
8432  
8433 <
7797 < else
7798 <  MKL_INC="-I${mkldir}/include"
7799 < fi
7800 <
7801 <
7802 <  CPPFLAGS=$ac_save_CPPFLAGS
7803 <  LDFLAGS=$ac_save_LDFLAGS
8433 >  fi
8434    ac_ext=c
8435   ac_cpp='$CPP $CPPFLAGS'
8436   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 7808 | Line 8438 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
8438   ac_compiler_gnu=$ac_cv_c_compiler_gnu
8439  
8440  
8441 <  if test x_$HAVE_MKL != x_yes; then
7812 <        { { echo "$as_me:$LINENO: error: Can't build with MKL" >&5
7813 < echo "$as_me: error: Can't build with MKL" >&2;}
7814 <   { (exit 1); exit 1; }; }
7815 <  fi
8441 > fi
8442  
8443 + if test "x$cgal" = xyes; then
8444 +  USE_CGAL=yes
8445  
8446 + cat >>confdefs.h <<\_ACEOF
8447 + #define HAVE_CGAL 1
8448 + _ACEOF
8449  
8450  
8451 + cat >>confdefs.h <<_ACEOF
8452 + #define CGAL_VERSION $CGAL_VERSION
8453 + _ACEOF
8454  
8455 +  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
8456 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8457 + echo "$as_me: WARNING: *****************************************************" >&2;}
8458 +    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
8459 + echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
8460 +    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
8461 + echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
8462 +    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8463 + echo "$as_me: WARNING: *****************************************************" >&2;}
8464 +  fi
8465   else
8466 +   if test "x$cgal_makefile" != xno; then
8467 +    { echo "$as_me:$LINENO: WARNING: *********************************************************" >&5
8468 + echo "$as_me: WARNING: *********************************************************" >&2;}
8469 +    { echo "$as_me:$LINENO: WARNING: *** Warning: CGAL was not found.                      ***" >&5
8470 + echo "$as_me: WARNING: *** Warning: CGAL was not found.                      ***" >&2;}
8471 +    { echo "$as_me:$LINENO: WARNING: *** Run \"configure\" with the appropriate options.     ***" >&5
8472 + echo "$as_me: WARNING: *** Run \"configure\" with the appropriate options.     ***" >&2;}
8473 +    { echo "$as_me:$LINENO: WARNING: *** CGAL support will be disabled.                    ***" >&5
8474 + echo "$as_me: WARNING: *** CGAL support will be disabled.                    ***" >&2;}
8475 +    { echo "$as_me:$LINENO: WARNING: *********************************************************" >&5
8476 + echo "$as_me: WARNING: *********************************************************" >&2;}
8477 +  fi
8478 +  CGAL_INCLDIR=
8479 +  CGAL_LIBDIR=
8480 +  CGAL_RLIBDIR=
8481 +  CGAL_DEFINES=
8482 +  CGAL_CXXFLAGS=
8483 +  CGAL_LIBS=
8484 + fi
8485  
7823    echo "$as_me:$LINENO: result: no" >&5
7824 echo "${ECHO_T}no" >&6
8486  
8487 < fi;
8487 > CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
8488 >
8489 > CGAL_LIB_DIR=${CGAL_LIBDIR}
8490 >
8491 > CGAL_RLIB_DIR=${CGAL_RLIBDIR}
8492 >
8493 >
8494 >
8495 >
8496  
8497  
8498  
# Line 8027 | Line 8696 | esac
8696  
8697            ac_config_headers="$ac_config_headers src/config.h"
8698  
8699 <          ac_config_files="$ac_config_files make/Makefile"
8699 >                              ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile"
8700  
8701  
8702   cat >confcache <<\_ACEOF
# Line 8559 | Line 9228 | do
9228    case "$ac_config_target" in
9229    # Handling of arguments.
9230    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
9231 <  "src/utils/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/utils/getopt.h:src/utils/gnugetopt.h" ;;
9231 >  "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
9232 >  "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
9233 >  "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
9234    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
9235    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
9236   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 8696 | Line 9367 | s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
9367   s,@LEXLIB@,$LEXLIB,;t t
9368   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
9369   s,@AR@,$AR,;t t
9370 + s,@PS@,$PS,;t t
9371   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
9372   s,@MPI_INC_DIR@,$MPI_INC_DIR,;t t
9373   s,@MPI_F90_INC@,$MPI_F90_INC,;t t
9374   s,@MPI_LIB@,$MPI_LIB,;t t
9375   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
9376   s,@USE_MPI@,$USE_MPI,;t t
9377 < s,@SPRNG_LIB_DIR@,$SPRNG_LIB_DIR,;t t
9378 < s,@SPRNG_INC_DIR@,$SPRNG_INC_DIR,;t t
9379 < s,@SPRNG_LIB@,$SPRNG_LIB,;t t
9380 < s,@USE_SPRNG@,$USE_SPRNG,;t t
9381 < s,@MKL_LIBDIR@,$MKL_LIBDIR,;t t
9382 < s,@MKL_LIB@,$MKL_LIB,;t t
9383 < s,@MKL_INC@,$MKL_INC,;t t
9384 < s,@HAVE_MKL@,$HAVE_MKL,;t t
9377 > s,@CXXCPP@,$CXXCPP,;t t
9378 > s,@USE_CGAL@,$USE_CGAL,;t t
9379 > s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
9380 > s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
9381 > s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
9382 > s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
9383 > s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
9384 > s,@CGAL_LIBS@,$CGAL_LIBS,;t t
9385   s,@DOXYGEN@,$DOXYGEN,;t t
9386   s,@DOT@,$DOT,;t t
9387   s,@DOC@,$DOC,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines